%% Example Title
% Let's use Edvard Munch's - skrik picture
img = imread("colorHistogram/Edvard_Munch_-_Despair_(1894).jpg");

% Let's also display the picture to see how it originally looks
%imshow(image);
%% edgeMap - Test of implementation
%edgeImage = edgeMap(img);

%imshow(edgeImage);

%% HOG - Test of implementation
% "hog" contains feature vector based on histogram of oriented gradients
% "visual" contains visualization object that can be used in plot method
[hog, visual] = histogramOrientedGradients(img);

figure,
imshow(img),
hold on,
plot(visual),
title("Hog features of image");

% Using Cellsize this time
[hog2, visual2] = histogramOrientedGradients(img, 32);

figure,
imshow(img),
hold on,
plot(visual2),
title("Hog features using Cellsize");
%% Section 2 Title
% Description of second code block
b = 2;
