function ch = colorHistogram(im)

% im = imread('Edvard_Munch_-_Despair_(1894).jpg');
% figure,imshow(im);

%Split into RGB Channels
rc = im(:,:,1);
gc = im(:,:,2);
bc = im(:,:,3);
%Get histValues for each channel
[yR, x] = imhist(rc);
[yG, x] = imhist(gc);
[yB, x] = imhist(bc);
%Plot them together in one plot
ch = figure; plot(x, yR, 'Red', x, yG, 'Green', x, yB, 'Blue');

end